Add a PermissionPolicy to support users for an organization - m3ter Documentation
Add a PermissionPolicy to support users for an organization
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/addtosupportusers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"version": 123
}'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/addtosupportusers"
payload = { "version": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 123})
};
fetch('https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/addtosupportusers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


200
4XX
5XX
Response Schema
{
"id": "<string>",
"version": 123,
"permissionPolicyId": "<string>",
"principalId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
string
header
required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
- orgId: string, required, UUID of the organization
- permissionPolicyId: string, required, UUID of the permission policy
Body
application/json
- version: integer
, The version number of the entity: - Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
Response
application/json
Returns the PrincipalPermission
- id: string, required, The UUID of the entity.
- version: integer
, The version number: - Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
- permissionPolicyId: string
- principalId: string
- dtCreated: string
, The DateTime (in ISO-8601 format) when the principal permission was created. - dtLastModified: string
, The DateTime (in ISO-8601 format) when the principal permission was last modified. - createdBy: string, The id of the user who created this principal permission.
- lastModifiedBy: string, The id of the user who last modified this principal permission.